org.springframework.jdbc.core.simple

## Class ParameterizedSingleColumnRowMapper<T>

- java.lang.Object
- - org.springframework.jdbc.core.SingleColumnRowMapper<T>
  - - org.springframework.jdbc.core.simple.ParameterizedSingleColumnRowMapper<T>

All Implemented Interfaces:
  RowMapper<T>, ParameterizedRowMapper<T>

    public class ParameterizedSingleColumnRowMapper<T>
    extends SingleColumnRowMapper<T>
    implements ParameterizedRowMapper<T>

`ParameterizedRowMapper` implementation that converts a single column into a single result value per row. Expects to operate on a `java.sql.ResultSet` that just contains a single column.

The type of the result value for each row can be specified. The value for the single column will be extracted from the `ResultSet` and converted into the specified target type.

Uses Java 5 covariant return types to override the return type of the `SingleColumnRowMapper.mapRow(java.sql.ResultSet, int)` method to be the type parameter `T`.

Since:
  2.5.2
Author:
  Juergen Hoeller

### Constructor Summary

Constructors
Constructor and Description
`ParameterizedSingleColumnRowMapper()`

### Method Summary

Methods
`static <T> ParameterizedSingleColumnRowMapper<T>` `newInstance(Class<T> requiredType)` Static factory method to create a new ParameterizedSingleColumnRowMapper (with the required type specified only once).

### Methods inherited from class org.springframework.jdbc.core.SingleColumnRowMapper

`convertValueToRequiredType, getColumnValue, getColumnValue, mapRow, setRequiredType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.jdbc.core.RowMapper

`mapRow`

### Constructor Detail

#### ParameterizedSingleColumnRowMapper

    public ParameterizedSingleColumnRowMapper()

### Method Detail

#### newInstance

    public static <T> ParameterizedSingleColumnRowMapper<T> newInstance(Class<T> requiredType)

Static factory method to create a new ParameterizedSingleColumnRowMapper (with the required type specified only once).

Parameters:
  `requiredType` - the type that each result object is expected to match